groovy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Russel Winder <rus...@winder.org.uk>
Subject Build fails on JDK9
Date Sat, 18 Jun 2016 07:59:06 GMT
In order for Gradle to run on JDK9 (*) you have to use the Gradle 3.0
SNAPSHOTs from the nightly build. This seems to work fine. However, it
seems the Groovy build is incompatible with Gradle 3.0:


Using Java from /home/users/russel/lib.Linux.x86_64/jdk-9_122 (version 9-ea)
The use of the @OutputDirectories annotation on non-Map properties has been deprecated and
is scheduled to be removed in Gradle 4.0. Please use separate properties for each directory
annotated with @OutputDirectory, or change the property type to Map.
The TaskOutputs.files(Object...) method has been deprecated and is scheduled to be removed
in Gradle 4.0. Please use the TaskOutputs.file(Object) or the TaskOutputs.dir(Object) method
instead.
Detected development environment

FAILURE: Build failed with an exception.

* Where:
Script '/home/users/russel/Repositories/Git/Groovy/gradle/docs.gradle' line: 64

* What went wrong:
A problem occurred evaluating script.
> Could not set unknown property 'overview' for task ':groovydoc' of type org.gradle.api.tasks.javadoc.Groovydoc.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to
get more log output.

BUILD FAILED

Total time: 1 mins 2.798 secs



(*) Yes I know my JDK9 is woefully out of date, I am upgrading to 9_123
as I email this.

-- 

Russel.
=============================================================================
Dr Russel Winder      t: +44 20 7585 2200   voip: sip:russel.winder@ekiga.net
41 Buckmaster Road    m: +44 7770 465 077   xmpp: russel@winder.org.uk
London SW11 1EN, UK   w: www.russel.org.uk  skype: russel_winder
Mime
View raw message